package com.tangguo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tangguo.domain.BbsUserPoints;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户积分Mapper接口
 *
 * @author ruoyi
 * @date 2025-08-29
 */
public interface BbsUserPointsMapper extends BaseMapper<BbsUserPoints> {

	List<BbsUserPoints> selectBbsUserPointsList(@Param("points") BbsUserPoints points);


	BbsUserPoints selectBbsUserPoints(@Param("userName") String userName);


	int selectSysUserCount(@Param("userName") String userName);


	int refreshUserPointsGrade();

}
